<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <nav>
        <a href="#">Домой</a>
        <a href="#">Cтатьи</a>
        <a href="#">Магазин</a>
        <a href="#">Кабинет</a>
    </nav>
    <header>
        <h1>Костыльно-Ориентированное Программирование</h1>
        <ol>
            <li>Костылирование</li>
            <li>Инкостыляция</li>
            <li>Поликостылизм</li>
        </ol>

    </header>
    <main>
        <section>
            <h2>Костылирование</h2>
            <p>Создание костылей, позволяющее описать новый костыль на основе уже существующего с частично
                или полностью заимствующимися ошибками. Костыль, от которого производится наследование,
                называется базовым, родительским или суперкостылем. Новый костыль — потомком, наследником
                или производным.</p>
        </section>
        <section>
            <h2>Инкостыляция</h2>
            <p>Свойство костылей, позволяющее объединить фиксы и заплатки, работающие с ними в классе, и
                скрыть детали реализации от понимания.</p>
        </section>
        <section>
            <h2>Поликостылизм</h2>
            <p>Свойство разработчиков использовать костыли с одинаковым интерфейсом без информации о типе
                и внутренней структуре костыля.</p>
        </section>
    </main>
    <footer>
        <p>@ 2021 Зделано руками хороших людей :)</p>
    </footer>
</body>
</html>